<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MemCapture_MCB_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MemCapture_MCB_t Struct Reference<div class="ingroups"><a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html">MSS Memory Capture Application for XWR14xx</a> &#124; <a class="el" href="group___d_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html">DSS Memory Capture Application for XWR16xx</a> &#124; <a class="el" href="group___m_s_s___x_w_r16___c_a_p_t_u_r_e___a_p_p.html">MSS Memory Capture Application for XWR16xx</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Stream Demo Master Control Block.  
 <a href="struct_mem_capture___m_c_b__t.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a49d5a0ee4152a5e57c544f87415f20a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49d5a0ee4152a5e57c544f87415f20a5"></a>
<a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#gafc53fc463ffc5dbab28535a0912d978e">MemCapture_Cfg</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#a49d5a0ee4152a5e57c544f87415f20a5">cfg</a></td></tr>
<tr class="memdesc:a49d5a0ee4152a5e57c544f87415f20a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration which is used to execute the demo. <br /></td></tr>
<tr class="separator:a49d5a0ee4152a5e57c544f87415f20a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa49c356ce4bacc0bdf563b15d475d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaa49c356ce4bacc0bdf563b15d475d8"></a>
SOC_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#aeaa49c356ce4bacc0bdf563b15d475d8">socHandle</a></td></tr>
<tr class="memdesc:aeaa49c356ce4bacc0bdf563b15d475d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Handle: <br /></td></tr>
<tr class="separator:aeaa49c356ce4bacc0bdf563b15d475d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1010a24ea9b813cee1b831dc74baf4bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1010a24ea9b813cee1b831dc74baf4bf"></a>
MMWave_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#a1010a24ea9b813cee1b831dc74baf4bf">ctrlHandle</a></td></tr>
<tr class="memdesc:a1010a24ea9b813cee1b831dc74baf4bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the mmWave control handle which is used to configure the BSS. <br /></td></tr>
<tr class="separator:a1010a24ea9b813cee1b831dc74baf4bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4fac65f8de6b190fb1fc84b38f1f986"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4fac65f8de6b190fb1fc84b38f1f986"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#aa4fac65f8de6b190fb1fc84b38f1f986">isMMWaveControlOpened</a></td></tr>
<tr class="memdesc:aa4fac65f8de6b190fb1fc84b38f1f986"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flag which indicates that the mmWave module has been opened. <br /></td></tr>
<tr class="separator:aa4fac65f8de6b190fb1fc84b38f1f986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39db4c72ee20bb8515545360820d855e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39db4c72ee20bb8515545360820d855e"></a>
<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga81c44d4f3c72c206b1e8cef3f771aeec">TestFmk_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#a39db4c72ee20bb8515545360820d855e">fmkHandle</a></td></tr>
<tr class="memdesc:a39db4c72ee20bb8515545360820d855e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test Framework Handle: <br /></td></tr>
<tr class="separator:a39db4c72ee20bb8515545360820d855e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b8a9647c7a2c3531a0656cb1f608d63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b8a9647c7a2c3531a0656cb1f608d63"></a>
<a class="el" href="group___m_s_s___x_w_r14___c_a_p_t_u_r_e___a_p_p.html#ga6724d72285c98bb631865bb4a47f6c07">MemCapture_Stats</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mem_capture___m_c_b__t.html#a9b8a9647c7a2c3531a0656cb1f608d63">stats</a></td></tr>
<tr class="memdesc:a9b8a9647c7a2c3531a0656cb1f608d63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Statistics associated with the Stream Demo. <br /></td></tr>
<tr class="separator:a9b8a9647c7a2c3531a0656cb1f608d63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Stream Demo Master Control Block. </p>
<p>The structure is used to hold all the relevant information for the Stream Demo. </p>
</div><hr/>The documentation for this struct was generated from the following files:<ul>
<li>test/mem_capture/xwr14xx/mss.c</li>
<li>test/mem_capture/xwr16xx/dss.c</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
